From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ml-dtypes/
Date: Tue, 07 Jan 2025 05:27:40 +0000 (UTC) [thread overview]
Message-ID: <1736227652.889dbdf64a5d3e9b43b7877964cd481d935fb400.mgorny@gentoo> (raw)
commit: 889dbdf64a5d3e9b43b7877964cd481d935fb400
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 7 05:07:55 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 7 05:27:32 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=889dbdf6
dev-python/ml-dtypes: Bump to 0.5.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/ml-dtypes/Manifest | 1 +
dev-python/ml-dtypes/ml-dtypes-0.5.1.ebuild | 58 +++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/ml-dtypes/Manifest b/dev-python/ml-dtypes/Manifest
index eb3d041189c8..2b8e67db9f36 100644
--- a/dev-python/ml-dtypes/Manifest
+++ b/dev-python/ml-dtypes/Manifest
@@ -1,2 +1,3 @@
DIST eigen-7bf2968fed5f246c0589e1111004cb420fcd7c71.tar.bz2 2239233 BLAKE2B 3a7e81c302cb11ae1d6ef9433a9ec41506c1f37d04cfb8744ac3fcf7dbe9430c1b48d7197ca3b8e1f9354398bac3d0dbc3e0599c0b649acd6175e906befe2973 SHA512 29ee89770726e6e0f5135b7fab24649f3e69223caed90d2daa6f0014783e69fe98f0551de49bd4e393d7b7938f2943caf1ed00f3933fa771ac14fae3c63fd5dd
DIST ml_dtypes-0.5.0.gh.tar.gz 86170 BLAKE2B a289490fd6d06801965cc72d1abfe4a3b8b48459462bc4ae73a3ace2b4385f26b46081d924c02e1342a18eb98db2df33e3dd77284e40f2357a209a85010071f3 SHA512 20b2677c1e69b9ea298ac7d8ccfee3f0d19b847a805efa183ba04845e1a1697e9030abe00d6e8a4d46981df14c8d5986bcbc3b4e0f36eef2aee1cd04e3996bfe
+DIST ml_dtypes-0.5.1.gh.tar.gz 86384 BLAKE2B 1989df40221262784983732067946bc1ac51c44db27e54d30471884508f080403107c811d33940b2de27a1cea5d5928bebdfc96b987c36d71b7f8f81f68c4615 SHA512 d0fab3492ad9f8caeec665c026baca9eca7a15fcb032267ff57d9c9b6eccb852e6659b4f7bd25f64b50974b5a93f5be9ec68ab1746ede286f22d60c13a7d2d4c
diff --git a/dev-python/ml-dtypes/ml-dtypes-0.5.1.ebuild b/dev-python/ml-dtypes/ml-dtypes-0.5.1.ebuild
new file mode 100644
index 000000000000..e0843af55970
--- /dev/null
+++ b/dev-python/ml-dtypes/ml-dtypes-0.5.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=${PN/-/_}-${PV}
+EIGEN_CommitId="7bf2968fed5f246c0589e1111004cb420fcd7c71"
+
+DESCRIPTION="A stand-alone implementation of several NumPy dtype extensions"
+HOMEPAGE="
+ https://github.com/jax-ml/ml_dtypes/
+ https://pypi.org/project/ml-dtypes/
+"
+SRC_URI="
+ https://github.com/jax-ml/ml_dtypes/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ https://gitlab.com/libeigen/eigen/-/archive/${EIGEN_CommitId}/eigen-${EIGEN_CommitId}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+DEPEND="
+ >=dev-python/numpy-1.21:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ test? (
+ dev-python/absl-py[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ rmdir third_party/eigen || die
+ mv "${WORKDIR}/eigen-${EIGEN_CommitId}" third_party/eigen || die
+ distutils-r1_python_prepare_all
+}
+
+src_test() {
+ mv ml_dtypes/tests . || die
+ rm -r ml_dtypes || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ distutils-r1_src_test
+}
next reply other threads:[~2025-01-07 5:27 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-07 5:27 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/ml-dtypes/ Michał Górny
2025-01-25 11:41 Michał Górny
2025-01-25 11:01 Arthur Zamarin
2025-01-25 11:00 Sam James
2025-01-25 10:52 Sam James
2024-09-28 13:35 Michał Górny
2024-09-28 13:21 Arthur Zamarin
2024-09-28 12:40 Sam James
2024-09-28 12:32 Arthur Zamarin
2024-09-14 6:27 Michał Górny
2024-06-12 6:17 Arthur Zamarin
2024-06-12 6:16 Arthur Zamarin
2024-05-19 6:02 Michał Górny
2024-05-16 15:00 Arthur Zamarin
2024-04-22 15:51 Michał Górny
2024-04-22 15:51 Michał Górny
2024-04-22 15:51 Michał Górny
2024-02-14 16:53 Jason Zaman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1736227652.889dbdf64a5d3e9b43b7877964cd481d935fb400.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox